Bug 90133 - Extend ODF to support some special scientific formats
Summary: Extend ODF to support some special scientific formats
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Laurent BP
QA Contact:
URL:
Whiteboard: target:5.0.0 target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-20 17:53 UTC by Laurent BP
Modified: 2016-10-25 19:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposition for modification of ODF (25.63 KB, application/vnd.oasis.opendocument.text)
2015-04-11 09:45 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2015-03-20 17:53:38 UTC
Description: some formats are supported by LibO but cannot be saved in ODF. In the meantime they are saved in XLS, so you may prefer to save in XLS to keep your format

Step to reproduce:
1. Create a scientific format without '+' in exponent, such as 0.00E0
2. Save it as XLS
3. File > Reload
=> format is the same
4. Save it as ODS
5. File > Reload

Expected behavior:
Format should be the same

Actual behavior:
Format is changed to 0.00E+0

Same occurs with:
- partial variable decimal digits: 0.0## is saved to 0.000 in ODS
- variable decimal digit for scientific format: 0.###E00 is saved to 0.000E00 in ODS
Comment 1 A (Andy) 2015-03-20 21:07:42 UTC
Reproducible with LO 4.4.1.2, Win 8.1

Note to step 1: entered as user-defined number
Comment 2 Commit Notification 2015-03-23 11:46:37 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b838285e206912374f464bd1ab8dc8a561f59f5

tdf#90133 Scientific format: allow variable decimal

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Laurent BP 2015-04-11 09:45:54 UTC
Created attachment 114735 [details]
Proposition for modification of ODF

This document proposes some modification to ODF format for format of scientific and decimal numbers.
Comment 4 Commit Notification 2015-04-27 23:25:16 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38992b419a4655eba9b85d337edbb208fd2fff95

tdf#90133 Extend ODF: exponent sign of scientific format

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-04-28 00:20:02 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fee05e680217e876210b341f904df9441a0b7cd

tdf#90133 Extend ODF: variable decimal in scientific format

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Mike §chinagl 2015-05-21 15:55:52 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Allow variable decimal with format 0.0##E+00 for scientific numbers and 0.0## for numbers (decimal part can contain some 0 and then some #). This format is now correctly saved in ODF files. tdf#90133
Comment 7 Laurent BP 2015-05-21 19:15:09 UTC
(In reply to Mike §chinagl from comment #6)
> This bug fix is mentioned in the release notes of the coming LibreOffice 5.0
> (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0).
> Therefore it would be wonderful if this feature really worked well,
> otherwise it should not be mentioned in the release notes. 

Same for bug 72361 : The feature is actually implemented in LibO 5.0. So, if you detected a bug, please report it.
Comment 8 Commit Notification 2015-07-13 12:10:36 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c2a8065add0da1e649633efa0795beddfa68eed

tdf#90133 Comply attributes name with OASIS#3860

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-07-13 12:14:52 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0149261bd1cf5df9907022e04cabc275fc9422f7&h=libreoffice-5-0

tdf#90133 Comply attributes name with OASIS#3860

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-07-13 12:30:20 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=818d9bb2d1c7db06402a8a1cb5ab378b81ddeecb&h=libreoffice-5-0-0

tdf#90133 Comply attributes name with OASIS#3860

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.